summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
authorVladimir Panteleev2017-08-15 04:57:13 +0000
committerVladimir Panteleev2017-08-15 04:57:13 +0000
commit50a05a0af4a901bbf212b7ae256aef682796c4f0 (patch)
treeb32c142c560f77af7d06ca5f1cfd94bf44b0801b /PKGBUILD
parent5302d22c499f90ba1d720d9d249093e4ce88d10c (diff)
downloadaur-50a05a0af4a901bbf212b7ae256aef682796c4f0.tar.gz
Merge master into macboot to fix build on GCC 7
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD11
1 files changed, 9 insertions, 2 deletions
diff --git a/PKGBUILD b/PKGBUILD
index 3002066e689..540909779b2 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,8 +1,8 @@
# Maintainer: Vladimir Panteleev <arch-pkg at thecybershadow.net>
pkgname=edk2-ovmf-macboot-git
-pkgver=r21417.30f2b3985d
-pkgrel=1
+pkgver=r22104.9bd03459f1
+pkgrel=2
pkgdesc="edk2 UEFI firmware with macOS compatibility fixes"
arch=('any')
url="https://www.contrib.andrew.cmu.edu/~somlo/OSXKVM/"
@@ -19,6 +19,13 @@ pkgver() {
printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
}
+prepare() {
+ cd "$srcdir/edk2"
+ git remote add tianocore git@github.com:tianocore/edk2.git || true
+ git fetch tianocore
+ git merge --no-edit tianocore/master
+}
+
build() {
cd "$srcdir/edk2"
make -C BaseTools